> ## Documentation Index
> Fetch the complete documentation index at: https://docs.connie.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search conversations and messages

> In-memory 1-minute cache per user/mode/query.



## OpenAPI

````yaml /openapi/inbox.yaml get /inbox/search
openapi: 3.1.0
info:
  title: Connie Inbox API
  version: 1.0.0
  description: >
    Unified inbox API for managing conversations across email, WhatsApp, and
    LinkedIn. All endpoints require authentication unless noted otherwise.
servers:
  - url: https://connie.ai/api
    description: Production
security:
  - cookieAuth: []
tags:
  - name: Init & Counts
    description: Initialization and conversation counts
  - name: Conversations
    description: Conversation listing and retrieval
  - name: Messages
    description: Message retrieval and read status
  - name: Compose
    description: Sending emails, starting chats, and drafts
  - name: Labels
    description: Label management
  - name: Assignments
    description: Conversation assignment to team members
  - name: Search
    description: Full-text and filtered search
  - name: Attachments
    description: File attachments
  - name: Spam
    description: Spam management
  - name: Views & Starred
    description: Custom views and starred conversations
paths:
  /inbox/search:
    get:
      tags:
        - Search
      summary: Search conversations and messages
      description: In-memory 1-minute cache per user/mode/query.
      operationId: searchInbox
      parameters:
        - name: q
          in: query
          required: true
          schema:
            type: string
            minLength: 2
        - name: mode
          in: query
          schema:
            type: string
            enum:
              - unified
              - conversations
              - messages
              - all
            default: unified
        - name: type
          in: query
          schema:
            type: string
        - name: accountIds
          in: query
          schema:
            type: string
          description: Comma-separated account IDs
        - name: limit
          in: query
          schema:
            type: integer
            default: 20
        - name: offset
          in: query
          schema:
            type: integer
            default: 0
      responses:
        '200':
          description: Search results
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                  totalResults:
                    type: integer
                  cached:
                    type: boolean
                  responseTime:
                    type: number
                  deepSyncInProgress:
                    type: boolean
                    nullable: true
components:
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: session

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.